aboutsummaryrefslogtreecommitdiffstats
path: root/main/nfs-utils/rpc.pipefs.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-01 14:50:52 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-01 14:54:34 +0000
commit2f83a67e9d5929f0a678cf9d8cc3a33b470a86f3 (patch)
tree416072b0f818d3d4e1a7007d714d973149c61e16 /main/nfs-utils/rpc.pipefs.initd
parent5c86f55307beee498cfe5c79678fe492a90e7a1a (diff)
downloadaports-2f83a67e9d5929f0a678cf9d8cc3a33b470a86f3.tar.gz
aports-2f83a67e9d5929f0a678cf9d8cc3a33b470a86f3.tar.bz2
aports-2f83a67e9d5929f0a678cf9d8cc3a33b470a86f3.tar.xz
main/nfs-utils: upgrade to 1.2.2 and use rpcbind
fixes #249
Diffstat (limited to 'main/nfs-utils/rpc.pipefs.initd')
-rw-r--r--main/nfs-utils/rpc.pipefs.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/main/nfs-utils/rpc.pipefs.initd b/main/nfs-utils/rpc.pipefs.initd
new file mode 100644
index 0000000000..701ac77892
--- /dev/null
+++ b/main/nfs-utils/rpc.pipefs.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.pipefs.initd,v 1.1 2008/10/26 09:02:47 vapier Exp $
+
+mount_pipefs() {
+ # if rpc_pipefs is not available, try to load sunrpc for it #219566
+ grep -qs rpc_pipefs /proc/filesystems || modprobe -q sunrpc
+ # if still not available, let's bail
+ grep -qs rpc_pipefs /proc/filesystems || return 1
+
+ # now just do it for kicks
+ mkdir -p /var/lib/nfs/rpc_pipefs
+ mount -t rpc_pipefs rpc_pipefs /var/lib/nfs/rpc_pipefs
+}
+
+start() {
+ # if things are already mounted, let's just return
+ grep -qs "rpc_pipefs /var/lib/nfs/rpc_pipefs" /proc/mounts && return 0
+
+ ebegin "Mounting RPC pipefs"
+ mount_pipefs
+ eend $?
+}